package com.buy507.mall.model;

/**
 * 团队成员数量表
 */
public class DmsTeamMemberNumber {
	
	private Long id;
	
	private Long memberId;
	
	private Integer total; //团队成员总数
	
	private Integer consumer; //消费者人数
	
	private Integer partner; //经销商人数
	
	private Integer oneDiamond; //初级合作商人数
	
	private Integer twoDiamond; //中级合作商人数
	
	private Integer threeDiamond; //高级合作商人数
	
	private Integer fourDiamond; //特级合作商人数

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Long getMemberId() {
		return memberId;
	}

	public void setMemberId(Long memberId) {
		this.memberId = memberId;
	}

	public Integer getTotal() {
		return total;
	}

	public void setTotal(Integer total) {
		this.total = total;
	}

	public Integer getConsumer() {
		return consumer;
	}

	public void setConsumer(Integer consumer) {
		this.consumer = consumer;
	}

	public Integer getPartner() {
		return partner;
	}

	public void setPartner(Integer partner) {
		this.partner = partner;
	}

	public Integer getOneDiamond() {
		return oneDiamond;
	}

	public void setOneDiamond(Integer oneDiamond) {
		this.oneDiamond = oneDiamond;
	}

	public Integer getTwoDiamond() {
		return twoDiamond;
	}

	public void setTwoDiamond(Integer twoDiamond) {
		this.twoDiamond = twoDiamond;
	}

	public Integer getThreeDiamond() {
		return threeDiamond;
	}

	public void setThreeDiamond(Integer threeDiamond) {
		this.threeDiamond = threeDiamond;
	}

	public Integer getFourDiamond() {
		return fourDiamond;
	}

	public void setFourDiamond(Integer fourDiamond) {
		this.fourDiamond = fourDiamond;
	}
	
}
